Skip to main content
GET
/
deals
/
{dealId}
/
conversations
List deal-agent conversations
curl --request GET \
  --url https://app.hockeystack.com/api/revenue-agents/v1/deals/{dealId}/conversations \
  --header 'Authorization: Bearer <token>'
{
  "conversations": [
    {
      "conversation_id": "<string>",
      "title": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dealId
string
required

CRM deal ID (HubSpot/Salesforce object ID).

Required string length: 1 - 64

Query Parameters

cursor
string
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Conversation list.

conversations
object[]
required
next_cursor
string | null
required